Bug 15989 - Making classification sources actions buttons
Summary: Making classification sources actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-06 22:04 UTC by Aleisha Amohia
Modified: 2016-12-05 21:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15989: Moving classification sources actions into drop-down menus (3.57 KB, patch)
2016-03-06 22:06 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15989: Moving classification sources actions into drop-down menus (3.57 KB, patch)
2016-03-06 22:15 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15989: Moving classification sources actions into drop-down menus (3.63 KB, patch)
2016-03-08 20:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 15989: Moving classification sources actions into drop-down menus (3.70 KB, patch)
2016-03-09 11:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15989: Making classification sources actions buttons (2.53 KB, patch)
2016-03-10 01:41 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15989: Making classification sources actions buttons (2.39 KB, patch)
2016-03-10 01:44 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15989: Making classification sources actions buttons (2.49 KB, patch)
2016-03-11 18:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15989 [Follow-up] Making classification sources actions buttons (2.60 KB, patch)
2016-03-11 18:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15989 [Follow-up] Making classification sources actions buttons (2.70 KB, patch)
2016-03-16 15:02 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15989: Making classification sources actions buttons (2.51 KB, patch)
2016-03-17 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15989 [Follow-up] Making classification sources actions buttons (2.76 KB, patch)
2016-03-17 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-06 22:04:41 UTC
Similar to Bug 15932, Bug 13778, Bug 15830, Bug 15952, Bug 15966, Bug 15988
Comment 1 Aleisha Amohia 2016-03-06 22:06:00 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-03-06 22:15:04 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2016-03-08 20:42:17 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-03-09 11:26:43 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-03-09 11:29:15 UTC
I have found bug 16013 on QAing this patch.
Comment 6 Jonathan Druart 2016-03-09 12:30:44 UTC
Aleisha, putting this in discussion, it seems that we should use the drop-down menu only when we have more than 2 buttons.
Comment 7 Aleisha Amohia 2016-03-10 01:41:06 UTC Comment hidden (obsolete)
Comment 8 Aleisha Amohia 2016-03-10 01:44:58 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2016-03-11 18:01:24 UTC Comment hidden (obsolete)
Comment 10 Owen Leonard 2016-03-11 18:01:31 UTC Comment hidden (obsolete)
Comment 11 Marc Véron 2016-03-16 15:02:40 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2016-03-17 08:57:19 UTC
Created attachment 49244 [details] [review]
Bug 15989: Making classification sources actions buttons

To test:

1) Go to Administration -> Classification sources
2) Confirm that the actions 'Edit' and 'Delete' now show as buttons for
   BOTH tables and work as expected.

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Jonathan Druart 2016-03-17 08:57:33 UTC
Created attachment 49245 [details] [review]
Bug 15989 [Follow-up] Making classification sources actions buttons

This trivial follow-up adds an "actions" class to the table cell
containing the new buttons. In conjunction with the style update in Bug
16048, this will prevent the buttons from wrapping at narrow browser
window widths.

Also changed in this patch: A couple of capitalization errors.

To test, apply the patch for Bug 16048 and go to Administration ->
Classification sources. Confirm that the "Edit" and "Delete" buttons do
not stack on top of each other even at narrow browser widths.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Brendan Gallagher 2016-03-23 21:04:23 UTC
Pushed to Master - should be in the May 2016 release.  Thanks!